Bug 34868 - Client updates of DNS records with existing IPv6 entries fail.
Client updates of DNS records with existing IPv6 entries fail.
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Arvid Requate
Stefan Gohmann
https://lists.samba.org/archive/samba...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-19 11:40 CEST by Arvid Requate
Modified: 2014-05-27 14:44 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-05-19 11:40:35 CEST
Client updates of DNS records with existing IPv6 entries fail.

The excellent debug and network traces provided via Ticket#: 2014051321004004 made it possible to track this down to an issue in the Samba4 backend for Bind9. The patch for this is accepted upstream and should be backported to our samba package as well.

The characteristic message is comprised of these two consecutive lines is syslog:
========================================================================
<date> <server> named[<pid>]: client <ip>#<port>: updating zone '<domainname>/NONE': deleting rrset at '<client>.<domainname>' AAAA
[no gap here]
<date> <server> named[<pid>]: samba_dlz: cancelling transaction on zone <domainname>
========================================================================
Comment 1 Arvid Requate univentionstaff 2014-05-26 13:53:33 CEST
Advisory: 2014-05-16-samba4.yaml
Test:     51_samba4/55dns_update
Comment 2 Stefan Gohmann univentionstaff 2014-05-26 17:13:31 CEST
Code: OK

Tests: OK

Test case: OK

YAML: OK
Comment 3 Janek Walkenhorst univentionstaff 2014-05-27 14:44:20 CEST
http://errata.univention.de/ucs/3.2/117.html